package com.czg.market.service;

import com.czg.PageQueryParam;
import com.czg.market.dto.PpHelpRecordDTO;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;
import com.czg.market.entity.PpHelpRecord;

import java.util.List;

/**
 * 套餐推广助力记录 服务层。
 *
 * @author gyj
 * @since 2025-12-18
 */
public interface PpHelpRecordService extends IService<PpHelpRecord> {

    boolean canHelp(Long userId, Long orderId);

    boolean help(Long userId, Long orderId);

    void removeHelpRecord(Long orderId);

    void deleteByOrderIds(List<Long> orderIds);

    Page<PpHelpRecordDTO> helpPage(PageQueryParam reqVo);
}
